Deleting a smart class parameter does not remove lookup_values for overrides
Status: Closed   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you delete a smart class parameter on a Foreman class and it has an override it does not delete entries from the lookup_values

table or the lookup_keys table, so any hosts that the override applies to displays a parameter with no scope and it doesn't seem

possible to delete it from the host edit page.

If you then add the smart class parameter back by doing an import it creates a new entry in the lookup_keys table that is associated

in the environment_classes join table and the override is still inaccessible to delete.

From Ohad it seems the keys were intentionally left behind, but it would seem that leaving the values behind has an

undesirable/confuding side effect in the interface, so it would probably be worth cleaning them up if the override they are associated

with is deleted.

Associated revisions

Revision ba8cff29 - 02/14/2014 12:01 PM - Joseph Magen

refs #4289 - tests for adding, deleting and updating lookup_values on host

History

#1 - 02/07/2014 08:47 AM - Dominic Cleal

- Category set to Parameters

- Status changed from New to Ready For Testing

- Target version set to 1.9.1

https://github.com/theforeman/foreman/pull/1222

#2 - 02/11/2014 10:47 AM - Dominic Cleal

- Status changed from Ready For Testing to Feedback

- Target version deleted (1.9.1)

As per the PR conversation, we couldn't reproduce this again.  If you see it, please update this ticket.

#3 - 05/17/2017 06:37 AM - Anonymous

- Status changed from Feedback to Closed
